{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = parDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_KEY"; 
            externalType = VARCHAR2; 
            name = parKey; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_NIVEAU_MODIF"; 
            externalType = NUMBER; 
            name = parNiveauModif; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAR_ORDRE"; 
            externalType = NUMBER; 
            name = parOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_VALUE"; 
            externalType = VARCHAR2; 
            name = parValue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, parDescription, parKey, parNiveauModif, parOrdre, parValue); 
    className = "org.cocktail.fwkcktlgfceos.server.metier.EOParametre"; 
    classProperties = (exercice, parDescription, parKey, parValue, typeEtat); 
    externalName = "GFC.ADM_PARAMETRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.fwkcktlgfceos.server.metier.EOParametre"; 
    }; 
    name = "FwkGFCEos_Parametre"; 
    primaryKeyAttributes = (parOrdre); 
    relationships = (
        {
            destination = "FwkGFCEos_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = "FwkGFCEos_TypeEtat"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = parNiveauModif; }); 
            name = typeEtat; 
        }
    ); 
}
